# Scans # Results ## Get the Latest Scan Result `client.cloudforceOne.scans.results.get(stringconfigId, ResultGetParamsparams, RequestOptionsoptions?): ResultGetResponse` **get** `/accounts/{account_id}/cloudforce-one/scans/results/{config_id}` Get the Latest Scan Result ### Parameters - `configId: string` Defines the Config ID. - `params: ResultGetParams` - `account_id: string` Defines the Account ID. ### Returns - `ResultGetResponse` - `"1.1.1.1": Array` - `number?: number` - `proto?: string` - `status?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const result = await client.cloudforceOne.scans.results.get('config_id', { account_id: 'account_id', }); console.log(result['1.1.1.1']); ``` #### Response ```json { "errors": [ "string" ], "messages": [ "string" ], "result": { "1.1.1.1": [ { "number": 8080, "proto": "tcp", "status": "open" } ] }, "success": true } ``` ## Domain Types ### Scan Result - `ScanResult` - `number?: number` - `proto?: string` - `status?: string` ### Result Get Response - `ResultGetResponse` - `"1.1.1.1": Array` - `number?: number` - `proto?: string` - `status?: string` # Config ## List Scan Configs `client.cloudforceOne.scans.config.list(ConfigListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/cloudforce-one/scans/config` List Scan Configs ### Parameters - `params: ConfigListParams` - `account_id: string` Defines the Account ID. ### Returns - `ConfigListResponse` - `id: string` Defines the Config ID. - `account_id: string` - `frequency: number` Defines the number of days between each scan (0 = One-off scan). - `ips: Array` Defines a list of IP addresses or CIDR blocks to scan. The maximum number of total IP addresses allowed is 5000. - `ports: Array` Defines a list of ports to scan. Valid values are:"default", "all", or a comma-separated list of ports or range of ports (e.g. ["1-80", "443"]). "default" scans the 100 most commonly open ports. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const configListResponse of client.cloudforceOne.scans.config.list({ account_id: 'account_id', })) { console.log(configListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "uuid", "account_id": "abcd1234abcd1234abcd1234abcd1234", "frequency": 7, "ips": [ "1.1.1.1", "2606:4700:4700::1111" ], "ports": [ "default" ] } ] } ``` ## Create a new Scan Config `client.cloudforceOne.scans.config.create(ConfigCreateParamsparams, RequestOptionsoptions?): ConfigCreateResponse` **post** `/accounts/{account_id}/cloudforce-one/scans/config` Create a new Scan Config ### Parameters - `params: ConfigCreateParams` - `account_id: string` Path param: Defines the Account ID. - `ips: Array` Body param: Defines a list of IP addresses or CIDR blocks to scan. The maximum number of total IP addresses allowed is 5000. - `frequency?: number` Body param: Defines the number of days between each scan (0 = One-off scan). - `ports?: Array` Body param: Defines a list of ports to scan. Valid values are:"default", "all", or a comma-separated list of ports or range of ports (e.g. ["1-80", "443"]). "default" scans the 100 most commonly open ports. ### Returns - `ConfigCreateResponse` - `id: string` Defines the Config ID. - `account_id: string` - `frequency: number` Defines the number of days between each scan (0 = One-off scan). - `ips: Array` Defines a list of IP addresses or CIDR blocks to scan. The maximum number of total IP addresses allowed is 5000. - `ports: Array` Defines a list of ports to scan. Valid values are:"default", "all", or a comma-separated list of ports or range of ports (e.g. ["1-80", "443"]). "default" scans the 100 most commonly open ports. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const config = await client.cloudforceOne.scans.config.create({ account_id: 'account_id', ips: ['1.1.1.1', '2606:4700:4700::1111'], }); console.log(config.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "uuid", "account_id": "abcd1234abcd1234abcd1234abcd1234", "frequency": 7, "ips": [ "1.1.1.1", "2606:4700:4700::1111" ], "ports": [ "default" ] } } ``` ## Update an existing Scan Config `client.cloudforceOne.scans.config.edit(stringconfigId, ConfigEditParamsparams, RequestOptionsoptions?): ConfigEditResponse` **patch** `/accounts/{account_id}/cloudforce-one/scans/config/{config_id}` Update an existing Scan Config ### Parameters - `configId: string` Defines the Config ID. - `params: ConfigEditParams` - `account_id: string` Path param: Defines the Account ID. - `frequency?: number` Body param: Defines the number of days between each scan (0 = One-off scan). - `ips?: Array` Body param: Defines a list of IP addresses or CIDR blocks to scan. The maximum number of total IP addresses allowed is 5000. - `ports?: Array` Body param: Defines a list of ports to scan. Valid values are:"default", "all", or a comma-separated list of ports or range of ports (e.g. ["1-80", "443"]). "default" scans the 100 most commonly open ports. ### Returns - `ConfigEditResponse` - `id: string` Defines the Config ID. - `account_id: string` - `frequency: number` Defines the number of days between each scan (0 = One-off scan). - `ips: Array` Defines a list of IP addresses or CIDR blocks to scan. The maximum number of total IP addresses allowed is 5000. - `ports: Array` Defines a list of ports to scan. Valid values are:"default", "all", or a comma-separated list of ports or range of ports (e.g. ["1-80", "443"]). "default" scans the 100 most commonly open ports. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.cloudforceOne.scans.config.edit('config_id', { account_id: 'account_id', }); console.log(response.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "uuid", "account_id": "abcd1234abcd1234abcd1234abcd1234", "frequency": 7, "ips": [ "1.1.1.1", "2606:4700:4700::1111" ], "ports": [ "default" ] } } ``` ## Delete a Scan Config `client.cloudforceOne.scans.config.delete(stringconfigId, ConfigDeleteParamsparams, RequestOptionsoptions?): ConfigDeleteResponse` **delete** `/accounts/{account_id}/cloudforce-one/scans/config/{config_id}` Delete a Scan Config ### Parameters - `configId: string` Defines the Config ID. - `params: ConfigDeleteParams` - `account_id: string` Defines the Account ID. ### Returns - `ConfigDeleteResponse = unknown` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const config = await client.cloudforceOne.scans.config.delete('config_id', { account_id: 'account_id', }); console.log(config); ``` #### Response ```json { "errors": [ "string" ], "messages": [ "string" ], "result": {}, "success": true } ``` ## Domain Types ### Config List Response - `ConfigListResponse` - `id: string` Defines the Config ID. - `account_id: string` - `frequency: number` Defines the number of days between each scan (0 = One-off scan). - `ips: Array` Defines a list of IP addresses or CIDR blocks to scan. The maximum number of total IP addresses allowed is 5000. - `ports: Array` Defines a list of ports to scan. Valid values are:"default", "all", or a comma-separated list of ports or range of ports (e.g. ["1-80", "443"]). "default" scans the 100 most commonly open ports. ### Config Create Response - `ConfigCreateResponse` - `id: string` Defines the Config ID. - `account_id: string` - `frequency: number` Defines the number of days between each scan (0 = One-off scan). - `ips: Array` Defines a list of IP addresses or CIDR blocks to scan. The maximum number of total IP addresses allowed is 5000. - `ports: Array` Defines a list of ports to scan. Valid values are:"default", "all", or a comma-separated list of ports or range of ports (e.g. ["1-80", "443"]). "default" scans the 100 most commonly open ports. ### Config Edit Response - `ConfigEditResponse` - `id: string` Defines the Config ID. - `account_id: string` - `frequency: number` Defines the number of days between each scan (0 = One-off scan). - `ips: Array` Defines a list of IP addresses or CIDR blocks to scan. The maximum number of total IP addresses allowed is 5000. - `ports: Array` Defines a list of ports to scan. Valid values are:"default", "all", or a comma-separated list of ports or range of ports (e.g. ["1-80", "443"]). "default" scans the 100 most commonly open ports. ### Config Delete Response - `ConfigDeleteResponse = unknown`